Bug 849476 - F18 TC3 dracut-pre-pivot errors during booting
F18 TC3 dracut-pre-pivot errors during booting
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 16:04 EDT by Reartes Guillermo
Modified: 2013-01-10 01:53 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 12:22:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing the issue (48.58 KB, image/png)
2012-08-19 16:04 EDT, Reartes Guillermo
no flags Details
F18b TC4, still happening (38.92 KB, image/png)
2012-10-17 19:22 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-08-19 16:04:25 EDT
Created attachment 605542 [details]
screenshot showing the issue

Description of problem:

I do get dracut-pre-pivot errors (se screenshot) when booting
F18 TC3 iso.

Version-Release number of selected component (if applicable):
Fedora 18 TC3

How reproducible:
alleays

Steps to Reproduce:
1. boot
  
Actual results:
boot continues, 

Expected results:
no errors

Additional info:
Comment 1 Harald Hoyer 2012-08-22 07:11:09 EDT
Seems like the install DVD composer restricted the dracut kernel modules. Either it should omit the dracut network module (--omit network) or the nfs module (--omit nfs), or not restrict the kernel modules.
Comment 2 Brian Lane 2012-09-14 12:07:07 EDT
The module errors are actually from anaconda-dracut.
Comment 3 Reartes Guillermo 2012-10-17 19:22:44 EDT
Created attachment 629117 [details]
F18b TC4, still happening
Comment 4 Reartes Guillermo 2012-10-17 19:25:32 EDT
There is an additional message from dracut-pre-pivot:

"dracut-pre-pivot: cp: cannot stat '/etc/cmdline' : no such file or directory"

should it be '/proc/cmdline' ?
Comment 5 Jesse Keating 2012-10-18 00:04:03 EDT
(In reply to comment #4)
> There is an additional message from dracut-pre-pivot:
> 
> "dracut-pre-pivot: cp: cannot stat '/etc/cmdline' : no such file or
> directory"
> 
> should it be '/proc/cmdline' ?

This is a non-fatal error.  We are copying cmdline config files, which can be /etc/cmdline or files in /etc/cmdline.d/ from the dracut environment over to /run/ for use within the actual root.

I can put a test in here to only attempt the copy if /etc/cmdline exists, or just do the copy quietly, but it's non-fatal.
Comment 6 Brian Lane 2012-10-23 12:22:58 EDT
These are now silent with commit c1235790
Comment 7 Piruthiviraj Natarajan 2012-11-06 22:06:01 EST
I still have the same errors as same as comment 3  with TC7.
Comment 8 Piruthiviraj Natarajan 2012-11-06 22:06:40 EST
I still have the same errors as  comment 3  with TC7.
Comment 9 D. Charles Pyle 2012-11-11 02:54:40 EST
With most recent updates I am still seeing four dracut errors that flash by too fast on the screen to record. Grepping dmesg gives me nothing usable to report. Among the dracut problems are errors stating 'wrong fs' and so forth. I will try to pause the scrolling and try to write the messages in full shortly.
Comment 10 D. Charles Pyle 2012-11-11 02:58:08 EST
The errors I am now seeing are those at: https://bugzilla.redhat.com/show_bug.cgi?id=860525

Note You need to log in before you can comment on or make changes to this bug.